ur_rna.RNAstructure.backend

## Class singlestructure

- java.lang.Object
- - ur_rna.RNAstructure.backend.singlestructure

-     public class singlestructure
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `swigCMemOwn`
    `private long` | `swigCPtr`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `singlestructure(int sequencelength)`
    `protected` | `singlestructure(long cPtr, boolean cMemoryOwn)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `delete()`
    `protected void` | `finalize()`
    `int` | `getBasePair(int basepos)`
    `protected static long` | `getCPtr(singlestructure obj)`
    `java.lang.String` | `getCtlabel()`
    `int` | `getEnergy()`
    `int` | `getSequenceLength()`
    `void` | `setBasePair(int basepos, int pairpos)`
    `void` | `setCtlabel(java.lang.String value)`
    `void` | `setEnergy(int value)`
    `void` | `setSequenceLength(int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### swigCMemOwn

          protected transient boolean swigCMemOwn

    - #### swigCPtr

          private transient long swigCPtr

  - ### Constructor Detail

    - #### singlestructure

          public singlestructure(int sequencelength)

    - #### singlestructure

          protected singlestructure(long cPtr,
                                    boolean cMemoryOwn)

  - ### Method Detail

    - #### delete

          public void delete()

    - #### finalize

          protected void finalize()

      Overrides:
        `finalize` in class `java.lang.Object`

    - #### getBasePair

          public int getBasePair(int basepos)

    - #### getCPtr

          protected static long getCPtr(singlestructure obj)

    - #### getCtlabel

          public java.lang.String getCtlabel()

    - #### getEnergy

          public int getEnergy()

    - #### getSequenceLength

          public int getSequenceLength()

    - #### setBasePair

          public void setBasePair(int basepos,
                                  int pairpos)

    - #### setCtlabel

          public void setCtlabel(java.lang.String value)

    - #### setEnergy

          public void setEnergy(int value)

    - #### setSequenceLength

          public void setSequenceLength(int length)